package com.ruoyi.powerdistribution.domain;

import java.math.BigDecimal;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 可靠性停电记录对象 pdm_stop_records
 *
 * @author ruoyi
 * @date 2024-12-18
 */
public class PdmStopRecords extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键ID */
    private Long id;

    /** 供服系统主键ID */
    @Excel(name = "供服系统主键ID")
    private String feedServSysId;

    /** 事件序号 */
    @Excel(name = "事件序号")
    private String eventSn;

    /** 责任部门编码 */
    @Excel(name = "责任部门编码")
    private String dutyDeptNo;

    /** 责任部门名称 */
    @Excel(name = "责任部门名称")
    private String dutyDeptNm;

    /** 责任部门分担比例 */
    @Excel(name = "责任部门分担比例")
    private BigDecimal dutyDeptRespRatio;

    /** 停电起始时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "停电起始时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date poweroffStartTm;

    /** 停电终止时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "停电终止时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date poweroffTermTm;

    /** 停电持续时间(单位:h) */
    @Excel(name = "停电持续时间(单位:h)")
    private BigDecimal poweroffDurationTm;

    /** 管理属性(城区、县公司) */
    @Excel(name = "管理属性(城区、县公司)")
    private String mgmtAttr;

    /** 地区特征代码 */
    @Excel(name = "地区特征代码")
    private String regionFeatCd;

    /** 地区特征描述 */
    @Excel(name = "地区特征描述")
    private String regionFeatDsc;

    /** 单位编码 */
    @Excel(name = "单位编码")
    private String orgNo;

    /** 单位名称 */
    @Excel(name = "单位名称")
    private String orgNm;

    /** 单位性质代码 */
    @Excel(name = "单位性质代码")
    private String orgNatureCd;

    /** 单位性质描述 */
    @Excel(name = "单位性质描述")
    private String orgNatureDsc;

    /** 停电性质代码 */
    @Excel(name = "停电性质代码")
    private String poweroffNatureCd;

    /** 停电性质描述 */
    @Excel(name = "停电性质描述")
    private String poweroffNatureDsc;

    /** 研判停电性质代码 */
    @Excel(name = "研判停电性质代码")
    private String judgePoweroffNatureCd;

    /** 研判停电性质描述 */
    @Excel(name = "研判停电性质描述")
    private String judgePoweroffNatureDsc;

    /** 停电责任原因编码 */
    @Excel(name = "停电责任原因编码")
    private String poweroffDutyCausNo;

    /** 停电责任原因名称 */
    @Excel(name = "停电责任原因名称")
    private String poweroffDutyCausNm;

    /** 停电设备编码 */
    @Excel(name = "停电设备编码")
    private String poweroffEqpNo;

    /** 停电设备名称 */
    @Excel(name = "停电设备名称")
    private String poweroffEqpNm;

    /** 停电技术原因编码 */
    @Excel(name = "停电技术原因编码")
    private String poweroffTechCausNo;

    /** 停电技术原因名称 */
    @Excel(name = "停电技术原因名称")
    private String poweroffTechCausNm;

    /** 特殊事件分析代码 */
    @Excel(name = "特殊事件分析代码")
    private String specEventAnalCd;

    /** 特殊事件分析描述 */
    @Excel(name = "特殊事件分析描述")
    private String specEventAnalDsc;

    /** 是否重大事件日(1:是,0:否) */
    @Excel(name = "是否重大事件日(1:是,0:否)")
    private String isMajorEventDay;

    /** 异常状态代码 */
    @Excel(name = "异常状态代码")
    private String excpStCd;

    /** 异常状态描述 */
    @Excel(name = "异常状态描述")
    private String excpStDsc;

    /** 异常数据原因代码 */
    @Excel(name = "异常数据原因代码")
    private String excpDataCausCd;

    /** 异常数据原因描述 */
    @Excel(name = "异常数据原因描述")
    private String excpDataCausDsc;

    /** 规划特征 */
    @Excel(name = "规划特征")
    private String programmeFeat;

    /** 操作标志代码 */
    @Excel(name = "操作标志代码")
    private String operaFlgCd;

    /** 操作标志描述 */
    @Excel(name = "操作标志描述")
    private String operaFlgDsc;

    /** 生成时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "生成时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date createTm;

    /** 确认时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "确认时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date affirmTm;

    /** 入库时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "入库时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date enterTm;

    /** 修改时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "修改时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date updateTm;

    /** 推送标志代码 */
    @Excel(name = "推送标志代码")
    private String pushFlgCd;

    /** 推送标志描述 */
    @Excel(name = "推送标志描述")
    private String pushFlgDsc;

    /** 变电站名称 */
    @Excel(name = "变电站名称")
    private String subsNm;

    /** 线路id */
    @Excel(name = "线路id")
    private String lineId;

    /** 线路名称 */
    @Excel(name = "线路名称")
    private String lineNm;

    /** 备注信息 */
    @Excel(name = "备注信息")
    private String remarkInfo;

    /** 操作员 */
    @Excel(name = "操作员")
    private String operator;

    /** 操作时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "操作时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date operaTm;

    /** 锁定标志代码 */
    @Excel(name = "锁定标志代码")
    private String lockingFlgCd;

    /** 锁定标志描述 */
    @Excel(name = "锁定标志描述")
    private String lockingFlgDsc;

    /** 分区单位 */
    @Excel(name = "分区单位")
    private String parOrg;

    /** 录入方式代码 */
    @Excel(name = "录入方式代码")
    private String entryModeCd;

    /** 录入方式描述 */
    @Excel(name = "录入方式描述")
    private String entryModeDsc;

    /** 推送状态代码 */
    @Excel(name = "推送状态代码")
    private String pushStCd;

    /** 推送状态描述 */
    @Excel(name = "推送状态描述")
    private String pushStDsc;

    /** 是否上送总部(1:是,0:否) */
    @Excel(name = "是否上送总部(1:是,0:否)")
    private String isRptHeaddept;

    /** 上报拒绝原因 */
    @Excel(name = "上报拒绝原因")
    private String rptRejectCaus;

    /** 数据类型代码(可多值,逗号分隔) */
    @Excel(name = "数据类型代码(可多值,逗号分隔)")
    private String dataTypCd;

    /** 数据类型描述 */
    @Excel(name = "数据类型描述")
    private String dataTypDsc;

    /** 是否出错代码 */
    @Excel(name = "是否出错代码")
    private String isErrorCd;

    /** 是否出错描述 */
    @Excel(name = "是否出错描述")
    private String isErrorDsc;

    /** 数据来源代码(可多值,逗号分隔) */
    @Excel(name = "数据来源代码(可多值,逗号分隔)")
    private String dataSrcCd;

    /** 数据来源描述 */
    @Excel(name = "数据来源描述")
    private String dataSrcDsc;

    /** 是否编辑(1:是,0:否) */
    @Excel(name = "是否编辑(1:是,0:否)")
    private String isEdit;

    /** 是否合规(1:是,0:否) */
    @Excel(name = "是否合规(1:是,0:否)")
    private String isCmpl;

    /** 是否确认(1:是,0:否) */
    @Excel(name = "是否确认(1:是,0:否)")
    private String isAffirm;

    /** 是否忽略(1:是,0:否) */
    @Excel(name = "是否忽略(1:是,0:否)")
    private String isNeglect;

    /** 是否最终数据(1:是,0:否) */
    @Excel(name = "是否最终数据(1:是,0:否)")
    private String isEndData;

    /** 最终事件类型代码 */
    @Excel(name = "最终事件类型代码")
    private String endEventTypCd;

    /** 最终事件类型描述 */
    @Excel(name = "最终事件类型描述")
    private String endEventTypDsc;

    /** 事件特殊处理标志(大于1就要根据情况拆分) */
    @Excel(name = "事件特殊处理标志(大于1就要根据情况拆分)")
    private String eventSpecHandlFlg;

    /** 是否拆分事件(1:是,0:否) */
    @Excel(name = "是否拆分事件(1:是,0:否)")
    private String isSplitEvent;

    /** 事件降级代码 */
    @Excel(name = "事件降级代码")
    private String eventDemotionCd;

    /** 事件降级描述 */
    @Excel(name = "事件降级描述")
    private String eventDemotionDsc;

    /** 第三级事件id */
    @Excel(name = "第三级事件id")
    private String thirdStageEventId;

    /** 数据版本 */
    @Excel(name = "数据版本")
    private String dataVer;

    /** 停电容时 */
    @Excel(name = "停电容时")
    private BigDecimal poweroffCapHour;

    /** 停电容量(单位:kWA) */
    @Excel(name = "停电容量(单位:kWA)")
    private BigDecimal poweroffCap;

    /** 线次数(各线路停运的总和) */
    @Excel(name = "线次数(各线路停运的总和)")
    private BigDecimal lineNum;

    /** 时户数(该段时间内,各户停的时间总和,事件模块录入) */
    @Excel(name = "时户数(该段时间内,各户停的时间总和,事件模块录入)")
    private BigDecimal hourNum;

    /** 缺供电量(缺供电量>=0 用作指标计算的基础值,单位:kWh) */
    @Excel(name = "缺供电量(缺供电量>=0 用作指标计算的基础值,单位:kWh)")
    private BigDecimal deficiencyKwh;

    /** 户次数(该段时间内,停的户数总和) */
    @Excel(name = "户次数(该段时间内,停的户数总和)")
    private BigDecimal householdNum;

    /** 户次数_1 */
    @Excel(name = "户次数_1")
    private BigDecimal householdNum1;

    /** 时户数_1 */
    @Excel(name = "时户数_1")
    private BigDecimal hourNum1;

    /** 户次数_2 */
    @Excel(name = "户次数_2")
    private BigDecimal householdNum2;

    /** 时户数_2 */
    @Excel(name = "时户数_2")
    private BigDecimal hourNum2;

    /** 户次数_3 */
    @Excel(name = "户次数_3")
    private BigDecimal householdNum3;

    /** 时户数_3 */
    @Excel(name = "时户数_3")
    private BigDecimal hourNum3;

    /** 户次数_4 */
    @Excel(name = "户次数_4")
    private BigDecimal householdNum4;

    /** 时户数_4 */
    @Excel(name = "时户数_4")
    private BigDecimal hourNum4;

    /** 市中心停电容量(单位:kWA) */
    @Excel(name = "市中心停电容量(单位:kWA)")
    private BigDecimal cityCenterPoweroffCap;

    /** 市区停电容量(单位:kWA) */
    @Excel(name = "市区停电容量(单位:kWA)")
    private BigDecimal cityPoweroffCap;

    /** 城镇停电容量(单位:kWA) */
    @Excel(name = "城镇停电容量(单位:kWA)")
    private BigDecimal citiesTownsPoweroffCap;

    /** 农村停电容量(单位:kWA) */
    @Excel(name = "农村停电容量(单位:kWA)")
    private BigDecimal cysidePoweroffCap;

    /** 补录停电容时 */
    @Excel(name = "补录停电容时")
    private BigDecimal reentryPoweroffCapHour;

    /** 补录停电容量(单位:kWA) */
    @Excel(name = "补录停电容量(单位:kWA)")
    private BigDecimal reentryPoweroffCap;

    /** 补录线次数 */
    @Excel(name = "补录线次数")
    private BigDecimal reentryLineCount;

    /** 补录时户数 */
    @Excel(name = "补录时户数")
    private BigDecimal reentryHourNum;

    /** 补录缺供电量(单位:kWh) */
    @Excel(name = "补录缺供电量(单位:kWh)")
    private BigDecimal reentryDeficiencyKwh;

    /** 补录户次数 */
    @Excel(name = "补录户次数")
    private BigDecimal reentryHouseholdNum;

    /** 总停电容时 */
    @Excel(name = "总停电容时")
    private BigDecimal totalPoweroffCapHour;

    /** 总停电容量(单位:kWA) */
    @Excel(name = "总停电容量(单位:kWA)")
    private BigDecimal totalPoweroffCap;

    /** 总限次数 */
    @Excel(name = "总限次数")
    private BigDecimal totalLimitNum;

    /** 总时户数 */
    @Excel(name = "总时户数")
    private BigDecimal totalHourNum;

    /** 总缺供电量(单位:kWh) */
    @Excel(name = "总缺供电量(单位:kWh)")
    private BigDecimal totalDeficiencyKwh;

    /** 总户次数 */
    @Excel(name = "总户次数")
    private BigDecimal totalHouseholdNum;

    /** 标准单位编码 */
    @Excel(name = "标准单位编码")
    private String stdOrgNo;

    /** 标准单位名称 */
    @Excel(name = "标准单位名称")
    private String stdOrgNm;

    /** 标准区县单位编码 */
    @Excel(name = "标准区县单位编码")
    private String stdCountyOrgNo;

    /** 标准区县单位名称 */
    @Excel(name = "标准区县单位名称")
    private String stdCountyOrgNm;

    /** 标准地市单位名称 */
    @Excel(name = "标准地市单位名称")
    private String stdCityOrgNm;

    /** 数据日期 */
    @Excel(name = "数据日期")
    private String dataDt;

    /** etl时间戳 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "etl时间戳", width = 30, dateFormat = "yyyy-MM-dd")
    private Date etlTm;

    /** 判断原因代码 */
    @Excel(name = "判断原因代码")
    private String judgingCausCd;

    /** 判断原因描述 */
    @Excel(name = "判断原因描述")
    private String judgingCausDsc;

    /** 事件类型代码 */
    @Excel(name = "事件类型代码")
    private String eventTypCd;

    /** 事件类型描述 */
    @Excel(name = "事件类型描述")
    private String eventTypDsc;

    /** 是否有分析报告(1是0否) */
    @Excel(name = "是否有分析报告(1是0否)")
    private String isHaveAnalRpt;

    /** 是否专变事件(1是0否)   */
    @Excel(name = "是否专变事件(1是0否)  ")
    private String isPrivEvent;

    /** 停电原因               */
    @Excel(name = "停电原因              ")
    private String poweroffCaus;

    /** 降级标识               */
    @Excel(name = "降级标识              ")
    private String demotionId;

    /** 是否供服数据(1是0否)   */
    @Excel(name = "是否供服数据(1是0否)  ")
    private String isPssData;

    /** 是否正式数据(1是0否)   */
    @Excel(name = "是否正式数据(1是0否)  ")
    private String isFormalityData;

    /** 数据来源     */
    @Excel(name = "数据来源    ")
    private String dataSrc;

    /** 年分区 */
    @Excel(name = "年分区")
    private String parYear;

    /** 标准地市单位编码 */
    @Excel(name = "标准地市单位编码")
    private String stdCityOrgNo;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setFeedServSysId(String feedServSysId)
    {
        this.feedServSysId = feedServSysId;
    }

    public String getFeedServSysId()
    {
        return feedServSysId;
    }
    public void setEventSn(String eventSn)
    {
        this.eventSn = eventSn;
    }

    public String getEventSn()
    {
        return eventSn;
    }
    public void setDutyDeptNo(String dutyDeptNo)
    {
        this.dutyDeptNo = dutyDeptNo;
    }

    public String getDutyDeptNo()
    {
        return dutyDeptNo;
    }
    public void setDutyDeptNm(String dutyDeptNm)
    {
        this.dutyDeptNm = dutyDeptNm;
    }

    public String getDutyDeptNm()
    {
        return dutyDeptNm;
    }
    public void setDutyDeptRespRatio(BigDecimal dutyDeptRespRatio)
    {
        this.dutyDeptRespRatio = dutyDeptRespRatio;
    }

    public BigDecimal getDutyDeptRespRatio()
    {
        return dutyDeptRespRatio;
    }
    public void setPoweroffStartTm(Date poweroffStartTm)
    {
        this.poweroffStartTm = poweroffStartTm;
    }

    public Date getPoweroffStartTm()
    {
        return poweroffStartTm;
    }
    public void setPoweroffTermTm(Date poweroffTermTm)
    {
        this.poweroffTermTm = poweroffTermTm;
    }

    public Date getPoweroffTermTm()
    {
        return poweroffTermTm;
    }
    public void setPoweroffDurationTm(BigDecimal poweroffDurationTm)
    {
        this.poweroffDurationTm = poweroffDurationTm;
    }

    public BigDecimal getPoweroffDurationTm()
    {
        return poweroffDurationTm;
    }
    public void setMgmtAttr(String mgmtAttr)
    {
        this.mgmtAttr = mgmtAttr;
    }

    public String getMgmtAttr()
    {
        return mgmtAttr;
    }
    public void setRegionFeatCd(String regionFeatCd)
    {
        this.regionFeatCd = regionFeatCd;
    }

    public String getRegionFeatCd()
    {
        return regionFeatCd;
    }
    public void setRegionFeatDsc(String regionFeatDsc)
    {
        this.regionFeatDsc = regionFeatDsc;
    }

    public String getRegionFeatDsc()
    {
        return regionFeatDsc;
    }
    public void setOrgNo(String orgNo)
    {
        this.orgNo = orgNo;
    }

    public String getOrgNo()
    {
        return orgNo;
    }
    public void setOrgNm(String orgNm)
    {
        this.orgNm = orgNm;
    }

    public String getOrgNm()
    {
        return orgNm;
    }
    public void setOrgNatureCd(String orgNatureCd)
    {
        this.orgNatureCd = orgNatureCd;
    }

    public String getOrgNatureCd()
    {
        return orgNatureCd;
    }
    public void setOrgNatureDsc(String orgNatureDsc)
    {
        this.orgNatureDsc = orgNatureDsc;
    }

    public String getOrgNatureDsc()
    {
        return orgNatureDsc;
    }
    public void setPoweroffNatureCd(String poweroffNatureCd)
    {
        this.poweroffNatureCd = poweroffNatureCd;
    }

    public String getPoweroffNatureCd()
    {
        return poweroffNatureCd;
    }
    public void setPoweroffNatureDsc(String poweroffNatureDsc)
    {
        this.poweroffNatureDsc = poweroffNatureDsc;
    }

    public String getPoweroffNatureDsc()
    {
        return poweroffNatureDsc;
    }
    public void setJudgePoweroffNatureCd(String judgePoweroffNatureCd)
    {
        this.judgePoweroffNatureCd = judgePoweroffNatureCd;
    }

    public String getJudgePoweroffNatureCd()
    {
        return judgePoweroffNatureCd;
    }
    public void setJudgePoweroffNatureDsc(String judgePoweroffNatureDsc)
    {
        this.judgePoweroffNatureDsc = judgePoweroffNatureDsc;
    }

    public String getJudgePoweroffNatureDsc()
    {
        return judgePoweroffNatureDsc;
    }
    public void setPoweroffDutyCausNo(String poweroffDutyCausNo)
    {
        this.poweroffDutyCausNo = poweroffDutyCausNo;
    }

    public String getPoweroffDutyCausNo()
    {
        return poweroffDutyCausNo;
    }
    public void setPoweroffDutyCausNm(String poweroffDutyCausNm)
    {
        this.poweroffDutyCausNm = poweroffDutyCausNm;
    }

    public String getPoweroffDutyCausNm()
    {
        return poweroffDutyCausNm;
    }
    public void setPoweroffEqpNo(String poweroffEqpNo)
    {
        this.poweroffEqpNo = poweroffEqpNo;
    }

    public String getPoweroffEqpNo()
    {
        return poweroffEqpNo;
    }
    public void setPoweroffEqpNm(String poweroffEqpNm)
    {
        this.poweroffEqpNm = poweroffEqpNm;
    }

    public String getPoweroffEqpNm()
    {
        return poweroffEqpNm;
    }
    public void setPoweroffTechCausNo(String poweroffTechCausNo)
    {
        this.poweroffTechCausNo = poweroffTechCausNo;
    }

    public String getPoweroffTechCausNo()
    {
        return poweroffTechCausNo;
    }
    public void setPoweroffTechCausNm(String poweroffTechCausNm)
    {
        this.poweroffTechCausNm = poweroffTechCausNm;
    }

    public String getPoweroffTechCausNm()
    {
        return poweroffTechCausNm;
    }
    public void setSpecEventAnalCd(String specEventAnalCd)
    {
        this.specEventAnalCd = specEventAnalCd;
    }

    public String getSpecEventAnalCd()
    {
        return specEventAnalCd;
    }
    public void setSpecEventAnalDsc(String specEventAnalDsc)
    {
        this.specEventAnalDsc = specEventAnalDsc;
    }

    public String getSpecEventAnalDsc()
    {
        return specEventAnalDsc;
    }
    public void setIsMajorEventDay(String isMajorEventDay)
    {
        this.isMajorEventDay = isMajorEventDay;
    }

    public String getIsMajorEventDay()
    {
        return isMajorEventDay;
    }
    public void setExcpStCd(String excpStCd)
    {
        this.excpStCd = excpStCd;
    }

    public String getExcpStCd()
    {
        return excpStCd;
    }
    public void setExcpStDsc(String excpStDsc)
    {
        this.excpStDsc = excpStDsc;
    }

    public String getExcpStDsc()
    {
        return excpStDsc;
    }
    public void setExcpDataCausCd(String excpDataCausCd)
    {
        this.excpDataCausCd = excpDataCausCd;
    }

    public String getExcpDataCausCd()
    {
        return excpDataCausCd;
    }
    public void setExcpDataCausDsc(String excpDataCausDsc)
    {
        this.excpDataCausDsc = excpDataCausDsc;
    }

    public String getExcpDataCausDsc()
    {
        return excpDataCausDsc;
    }
    public void setProgrammeFeat(String programmeFeat)
    {
        this.programmeFeat = programmeFeat;
    }

    public String getProgrammeFeat()
    {
        return programmeFeat;
    }
    public void setOperaFlgCd(String operaFlgCd)
    {
        this.operaFlgCd = operaFlgCd;
    }

    public String getOperaFlgCd()
    {
        return operaFlgCd;
    }
    public void setOperaFlgDsc(String operaFlgDsc)
    {
        this.operaFlgDsc = operaFlgDsc;
    }

    public String getOperaFlgDsc()
    {
        return operaFlgDsc;
    }
    public void setCreateTm(Date createTm)
    {
        this.createTm = createTm;
    }

    public Date getCreateTm()
    {
        return createTm;
    }
    public void setAffirmTm(Date affirmTm)
    {
        this.affirmTm = affirmTm;
    }

    public Date getAffirmTm()
    {
        return affirmTm;
    }
    public void setEnterTm(Date enterTm)
    {
        this.enterTm = enterTm;
    }

    public Date getEnterTm()
    {
        return enterTm;
    }
    public void setUpdateTm(Date updateTm)
    {
        this.updateTm = updateTm;
    }

    public Date getUpdateTm()
    {
        return updateTm;
    }
    public void setPushFlgCd(String pushFlgCd)
    {
        this.pushFlgCd = pushFlgCd;
    }

    public String getPushFlgCd()
    {
        return pushFlgCd;
    }
    public void setPushFlgDsc(String pushFlgDsc)
    {
        this.pushFlgDsc = pushFlgDsc;
    }

    public String getPushFlgDsc()
    {
        return pushFlgDsc;
    }
    public void setSubsNm(String subsNm)
    {
        this.subsNm = subsNm;
    }

    public String getSubsNm()
    {
        return subsNm;
    }
    public void setLineId(String lineId)
    {
        this.lineId = lineId;
    }

    public String getLineId()
    {
        return lineId;
    }
    public void setLineNm(String lineNm)
    {
        this.lineNm = lineNm;
    }

    public String getLineNm()
    {
        return lineNm;
    }
    public void setRemarkInfo(String remarkInfo)
    {
        this.remarkInfo = remarkInfo;
    }

    public String getRemarkInfo()
    {
        return remarkInfo;
    }
    public void setOperator(String operator)
    {
        this.operator = operator;
    }

    public String getOperator()
    {
        return operator;
    }
    public void setOperaTm(Date operaTm)
    {
        this.operaTm = operaTm;
    }

    public Date getOperaTm()
    {
        return operaTm;
    }
    public void setLockingFlgCd(String lockingFlgCd)
    {
        this.lockingFlgCd = lockingFlgCd;
    }

    public String getLockingFlgCd()
    {
        return lockingFlgCd;
    }
    public void setLockingFlgDsc(String lockingFlgDsc)
    {
        this.lockingFlgDsc = lockingFlgDsc;
    }

    public String getLockingFlgDsc()
    {
        return lockingFlgDsc;
    }
    public void setParOrg(String parOrg)
    {
        this.parOrg = parOrg;
    }

    public String getParOrg()
    {
        return parOrg;
    }
    public void setEntryModeCd(String entryModeCd)
    {
        this.entryModeCd = entryModeCd;
    }

    public String getEntryModeCd()
    {
        return entryModeCd;
    }
    public void setEntryModeDsc(String entryModeDsc)
    {
        this.entryModeDsc = entryModeDsc;
    }

    public String getEntryModeDsc()
    {
        return entryModeDsc;
    }
    public void setPushStCd(String pushStCd)
    {
        this.pushStCd = pushStCd;
    }

    public String getPushStCd()
    {
        return pushStCd;
    }
    public void setPushStDsc(String pushStDsc)
    {
        this.pushStDsc = pushStDsc;
    }

    public String getPushStDsc()
    {
        return pushStDsc;
    }
    public void setIsRptHeaddept(String isRptHeaddept)
    {
        this.isRptHeaddept = isRptHeaddept;
    }

    public String getIsRptHeaddept()
    {
        return isRptHeaddept;
    }
    public void setRptRejectCaus(String rptRejectCaus)
    {
        this.rptRejectCaus = rptRejectCaus;
    }

    public String getRptRejectCaus()
    {
        return rptRejectCaus;
    }
    public void setDataTypCd(String dataTypCd)
    {
        this.dataTypCd = dataTypCd;
    }

    public String getDataTypCd()
    {
        return dataTypCd;
    }
    public void setDataTypDsc(String dataTypDsc)
    {
        this.dataTypDsc = dataTypDsc;
    }

    public String getDataTypDsc()
    {
        return dataTypDsc;
    }
    public void setIsErrorCd(String isErrorCd)
    {
        this.isErrorCd = isErrorCd;
    }

    public String getIsErrorCd()
    {
        return isErrorCd;
    }
    public void setIsErrorDsc(String isErrorDsc)
    {
        this.isErrorDsc = isErrorDsc;
    }

    public String getIsErrorDsc()
    {
        return isErrorDsc;
    }
    public void setDataSrcCd(String dataSrcCd)
    {
        this.dataSrcCd = dataSrcCd;
    }

    public String getDataSrcCd()
    {
        return dataSrcCd;
    }
    public void setDataSrcDsc(String dataSrcDsc)
    {
        this.dataSrcDsc = dataSrcDsc;
    }

    public String getDataSrcDsc()
    {
        return dataSrcDsc;
    }
    public void setIsEdit(String isEdit)
    {
        this.isEdit = isEdit;
    }

    public String getIsEdit()
    {
        return isEdit;
    }
    public void setIsCmpl(String isCmpl)
    {
        this.isCmpl = isCmpl;
    }

    public String getIsCmpl()
    {
        return isCmpl;
    }
    public void setIsAffirm(String isAffirm)
    {
        this.isAffirm = isAffirm;
    }

    public String getIsAffirm()
    {
        return isAffirm;
    }
    public void setIsNeglect(String isNeglect)
    {
        this.isNeglect = isNeglect;
    }

    public String getIsNeglect()
    {
        return isNeglect;
    }
    public void setIsEndData(String isEndData)
    {
        this.isEndData = isEndData;
    }

    public String getIsEndData()
    {
        return isEndData;
    }
    public void setEndEventTypCd(String endEventTypCd)
    {
        this.endEventTypCd = endEventTypCd;
    }

    public String getEndEventTypCd()
    {
        return endEventTypCd;
    }
    public void setEndEventTypDsc(String endEventTypDsc)
    {
        this.endEventTypDsc = endEventTypDsc;
    }

    public String getEndEventTypDsc()
    {
        return endEventTypDsc;
    }
    public void setEventSpecHandlFlg(String eventSpecHandlFlg)
    {
        this.eventSpecHandlFlg = eventSpecHandlFlg;
    }

    public String getEventSpecHandlFlg()
    {
        return eventSpecHandlFlg;
    }
    public void setIsSplitEvent(String isSplitEvent)
    {
        this.isSplitEvent = isSplitEvent;
    }

    public String getIsSplitEvent()
    {
        return isSplitEvent;
    }
    public void setEventDemotionCd(String eventDemotionCd)
    {
        this.eventDemotionCd = eventDemotionCd;
    }

    public String getEventDemotionCd()
    {
        return eventDemotionCd;
    }
    public void setEventDemotionDsc(String eventDemotionDsc)
    {
        this.eventDemotionDsc = eventDemotionDsc;
    }

    public String getEventDemotionDsc()
    {
        return eventDemotionDsc;
    }
    public void setThirdStageEventId(String thirdStageEventId)
    {
        this.thirdStageEventId = thirdStageEventId;
    }

    public String getThirdStageEventId()
    {
        return thirdStageEventId;
    }
    public void setDataVer(String dataVer)
    {
        this.dataVer = dataVer;
    }

    public String getDataVer()
    {
        return dataVer;
    }
    public void setPoweroffCapHour(BigDecimal poweroffCapHour)
    {
        this.poweroffCapHour = poweroffCapHour;
    }

    public BigDecimal getPoweroffCapHour()
    {
        return poweroffCapHour;
    }
    public void setPoweroffCap(BigDecimal poweroffCap)
    {
        this.poweroffCap = poweroffCap;
    }

    public BigDecimal getPoweroffCap()
    {
        return poweroffCap;
    }
    public void setLineNum(BigDecimal lineNum)
    {
        this.lineNum = lineNum;
    }

    public BigDecimal getLineNum()
    {
        return lineNum;
    }
    public void setHourNum(BigDecimal hourNum)
    {
        this.hourNum = hourNum;
    }

    public BigDecimal getHourNum()
    {
        return hourNum;
    }
    public void setDeficiencyKwh(BigDecimal deficiencyKwh)
    {
        this.deficiencyKwh = deficiencyKwh;
    }

    public BigDecimal getDeficiencyKwh()
    {
        return deficiencyKwh;
    }
    public void setHouseholdNum(BigDecimal householdNum)
    {
        this.householdNum = householdNum;
    }

    public BigDecimal getHouseholdNum()
    {
        return householdNum;
    }
    public void setHouseholdNum1(BigDecimal householdNum1)
    {
        this.householdNum1 = householdNum1;
    }

    public BigDecimal getHouseholdNum1()
    {
        return householdNum1;
    }
    public void setHourNum1(BigDecimal hourNum1)
    {
        this.hourNum1 = hourNum1;
    }

    public BigDecimal getHourNum1()
    {
        return hourNum1;
    }
    public void setHouseholdNum2(BigDecimal householdNum2)
    {
        this.householdNum2 = householdNum2;
    }

    public BigDecimal getHouseholdNum2()
    {
        return householdNum2;
    }
    public void setHourNum2(BigDecimal hourNum2)
    {
        this.hourNum2 = hourNum2;
    }

    public BigDecimal getHourNum2()
    {
        return hourNum2;
    }
    public void setHouseholdNum3(BigDecimal householdNum3)
    {
        this.householdNum3 = householdNum3;
    }

    public BigDecimal getHouseholdNum3()
    {
        return householdNum3;
    }
    public void setHourNum3(BigDecimal hourNum3)
    {
        this.hourNum3 = hourNum3;
    }

    public BigDecimal getHourNum3()
    {
        return hourNum3;
    }
    public void setHouseholdNum4(BigDecimal householdNum4)
    {
        this.householdNum4 = householdNum4;
    }

    public BigDecimal getHouseholdNum4()
    {
        return householdNum4;
    }
    public void setHourNum4(BigDecimal hourNum4)
    {
        this.hourNum4 = hourNum4;
    }

    public BigDecimal getHourNum4()
    {
        return hourNum4;
    }
    public void setCityCenterPoweroffCap(BigDecimal cityCenterPoweroffCap)
    {
        this.cityCenterPoweroffCap = cityCenterPoweroffCap;
    }

    public BigDecimal getCityCenterPoweroffCap()
    {
        return cityCenterPoweroffCap;
    }
    public void setCityPoweroffCap(BigDecimal cityPoweroffCap)
    {
        this.cityPoweroffCap = cityPoweroffCap;
    }

    public BigDecimal getCityPoweroffCap()
    {
        return cityPoweroffCap;
    }
    public void setCitiesTownsPoweroffCap(BigDecimal citiesTownsPoweroffCap)
    {
        this.citiesTownsPoweroffCap = citiesTownsPoweroffCap;
    }

    public BigDecimal getCitiesTownsPoweroffCap()
    {
        return citiesTownsPoweroffCap;
    }
    public void setCysidePoweroffCap(BigDecimal cysidePoweroffCap)
    {
        this.cysidePoweroffCap = cysidePoweroffCap;
    }

    public BigDecimal getCysidePoweroffCap()
    {
        return cysidePoweroffCap;
    }
    public void setReentryPoweroffCapHour(BigDecimal reentryPoweroffCapHour)
    {
        this.reentryPoweroffCapHour = reentryPoweroffCapHour;
    }

    public BigDecimal getReentryPoweroffCapHour()
    {
        return reentryPoweroffCapHour;
    }
    public void setReentryPoweroffCap(BigDecimal reentryPoweroffCap)
    {
        this.reentryPoweroffCap = reentryPoweroffCap;
    }

    public BigDecimal getReentryPoweroffCap()
    {
        return reentryPoweroffCap;
    }
    public void setReentryLineCount(BigDecimal reentryLineCount)
    {
        this.reentryLineCount = reentryLineCount;
    }

    public BigDecimal getReentryLineCount()
    {
        return reentryLineCount;
    }
    public void setReentryHourNum(BigDecimal reentryHourNum)
    {
        this.reentryHourNum = reentryHourNum;
    }

    public BigDecimal getReentryHourNum()
    {
        return reentryHourNum;
    }
    public void setReentryDeficiencyKwh(BigDecimal reentryDeficiencyKwh)
    {
        this.reentryDeficiencyKwh = reentryDeficiencyKwh;
    }

    public BigDecimal getReentryDeficiencyKwh()
    {
        return reentryDeficiencyKwh;
    }
    public void setReentryHouseholdNum(BigDecimal reentryHouseholdNum)
    {
        this.reentryHouseholdNum = reentryHouseholdNum;
    }

    public BigDecimal getReentryHouseholdNum()
    {
        return reentryHouseholdNum;
    }
    public void setTotalPoweroffCapHour(BigDecimal totalPoweroffCapHour)
    {
        this.totalPoweroffCapHour = totalPoweroffCapHour;
    }

    public BigDecimal getTotalPoweroffCapHour()
    {
        return totalPoweroffCapHour;
    }
    public void setTotalPoweroffCap(BigDecimal totalPoweroffCap)
    {
        this.totalPoweroffCap = totalPoweroffCap;
    }

    public BigDecimal getTotalPoweroffCap()
    {
        return totalPoweroffCap;
    }
    public void setTotalLimitNum(BigDecimal totalLimitNum)
    {
        this.totalLimitNum = totalLimitNum;
    }

    public BigDecimal getTotalLimitNum()
    {
        return totalLimitNum;
    }
    public void setTotalHourNum(BigDecimal totalHourNum)
    {
        this.totalHourNum = totalHourNum;
    }

    public BigDecimal getTotalHourNum()
    {
        return totalHourNum;
    }
    public void setTotalDeficiencyKwh(BigDecimal totalDeficiencyKwh)
    {
        this.totalDeficiencyKwh = totalDeficiencyKwh;
    }

    public BigDecimal getTotalDeficiencyKwh()
    {
        return totalDeficiencyKwh;
    }
    public void setTotalHouseholdNum(BigDecimal totalHouseholdNum)
    {
        this.totalHouseholdNum = totalHouseholdNum;
    }

    public BigDecimal getTotalHouseholdNum()
    {
        return totalHouseholdNum;
    }
    public void setStdOrgNo(String stdOrgNo)
    {
        this.stdOrgNo = stdOrgNo;
    }

    public String getStdOrgNo()
    {
        return stdOrgNo;
    }
    public void setStdOrgNm(String stdOrgNm)
    {
        this.stdOrgNm = stdOrgNm;
    }

    public String getStdOrgNm()
    {
        return stdOrgNm;
    }
    public void setStdCountyOrgNo(String stdCountyOrgNo)
    {
        this.stdCountyOrgNo = stdCountyOrgNo;
    }

    public String getStdCountyOrgNo()
    {
        return stdCountyOrgNo;
    }
    public void setStdCountyOrgNm(String stdCountyOrgNm)
    {
        this.stdCountyOrgNm = stdCountyOrgNm;
    }

    public String getStdCountyOrgNm()
    {
        return stdCountyOrgNm;
    }
    public void setStdCityOrgNm(String stdCityOrgNm)
    {
        this.stdCityOrgNm = stdCityOrgNm;
    }

    public String getStdCityOrgNm()
    {
        return stdCityOrgNm;
    }
    public void setDataDt(String dataDt)
    {
        this.dataDt = dataDt;
    }

    public String getDataDt()
    {
        return dataDt;
    }
    public void setEtlTm(Date etlTm)
    {
        this.etlTm = etlTm;
    }

    public Date getEtlTm()
    {
        return etlTm;
    }
    public void setJudgingCausCd(String judgingCausCd)
    {
        this.judgingCausCd = judgingCausCd;
    }

    public String getJudgingCausCd()
    {
        return judgingCausCd;
    }
    public void setJudgingCausDsc(String judgingCausDsc)
    {
        this.judgingCausDsc = judgingCausDsc;
    }

    public String getJudgingCausDsc()
    {
        return judgingCausDsc;
    }
    public void setEventTypCd(String eventTypCd)
    {
        this.eventTypCd = eventTypCd;
    }

    public String getEventTypCd()
    {
        return eventTypCd;
    }
    public void setEventTypDsc(String eventTypDsc)
    {
        this.eventTypDsc = eventTypDsc;
    }

    public String getEventTypDsc()
    {
        return eventTypDsc;
    }
    public void setIsHaveAnalRpt(String isHaveAnalRpt)
    {
        this.isHaveAnalRpt = isHaveAnalRpt;
    }

    public String getIsHaveAnalRpt()
    {
        return isHaveAnalRpt;
    }
    public void setIsPrivEvent(String isPrivEvent)
    {
        this.isPrivEvent = isPrivEvent;
    }

    public String getIsPrivEvent()
    {
        return isPrivEvent;
    }
    public void setPoweroffCaus(String poweroffCaus)
    {
        this.poweroffCaus = poweroffCaus;
    }

    public String getPoweroffCaus()
    {
        return poweroffCaus;
    }
    public void setDemotionId(String demotionId)
    {
        this.demotionId = demotionId;
    }

    public String getDemotionId()
    {
        return demotionId;
    }
    public void setIsPssData(String isPssData)
    {
        this.isPssData = isPssData;
    }

    public String getIsPssData()
    {
        return isPssData;
    }
    public void setIsFormalityData(String isFormalityData)
    {
        this.isFormalityData = isFormalityData;
    }

    public String getIsFormalityData()
    {
        return isFormalityData;
    }
    public void setDataSrc(String dataSrc)
    {
        this.dataSrc = dataSrc;
    }

    public String getDataSrc()
    {
        return dataSrc;
    }
    public void setParYear(String parYear)
    {
        this.parYear = parYear;
    }

    public String getParYear()
    {
        return parYear;
    }
    public void setStdCityOrgNo(String stdCityOrgNo)
    {
        this.stdCityOrgNo = stdCityOrgNo;
    }

    public String getStdCityOrgNo()
    {
        return stdCityOrgNo;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("feedServSysId", getFeedServSysId())
            .append("eventSn", getEventSn())
            .append("dutyDeptNo", getDutyDeptNo())
            .append("dutyDeptNm", getDutyDeptNm())
            .append("dutyDeptRespRatio", getDutyDeptRespRatio())
            .append("poweroffStartTm", getPoweroffStartTm())
            .append("poweroffTermTm", getPoweroffTermTm())
            .append("poweroffDurationTm", getPoweroffDurationTm())
            .append("mgmtAttr", getMgmtAttr())
            .append("regionFeatCd", getRegionFeatCd())
            .append("regionFeatDsc", getRegionFeatDsc())
            .append("orgNo", getOrgNo())
            .append("orgNm", getOrgNm())
            .append("orgNatureCd", getOrgNatureCd())
            .append("orgNatureDsc", getOrgNatureDsc())
            .append("poweroffNatureCd", getPoweroffNatureCd())
            .append("poweroffNatureDsc", getPoweroffNatureDsc())
            .append("judgePoweroffNatureCd", getJudgePoweroffNatureCd())
            .append("judgePoweroffNatureDsc", getJudgePoweroffNatureDsc())
            .append("poweroffDutyCausNo", getPoweroffDutyCausNo())
            .append("poweroffDutyCausNm", getPoweroffDutyCausNm())
            .append("poweroffEqpNo", getPoweroffEqpNo())
            .append("poweroffEqpNm", getPoweroffEqpNm())
            .append("poweroffTechCausNo", getPoweroffTechCausNo())
            .append("poweroffTechCausNm", getPoweroffTechCausNm())
            .append("specEventAnalCd", getSpecEventAnalCd())
            .append("specEventAnalDsc", getSpecEventAnalDsc())
            .append("isMajorEventDay", getIsMajorEventDay())
            .append("excpStCd", getExcpStCd())
            .append("excpStDsc", getExcpStDsc())
            .append("excpDataCausCd", getExcpDataCausCd())
            .append("excpDataCausDsc", getExcpDataCausDsc())
            .append("programmeFeat", getProgrammeFeat())
            .append("operaFlgCd", getOperaFlgCd())
            .append("operaFlgDsc", getOperaFlgDsc())
            .append("createTm", getCreateTm())
            .append("affirmTm", getAffirmTm())
            .append("enterTm", getEnterTm())
            .append("updateTm", getUpdateTm())
            .append("pushFlgCd", getPushFlgCd())
            .append("pushFlgDsc", getPushFlgDsc())
            .append("subsNm", getSubsNm())
            .append("lineId", getLineId())
            .append("lineNm", getLineNm())
            .append("remarkInfo", getRemarkInfo())
            .append("operator", getOperator())
            .append("operaTm", getOperaTm())
            .append("lockingFlgCd", getLockingFlgCd())
            .append("lockingFlgDsc", getLockingFlgDsc())
            .append("parOrg", getParOrg())
            .append("entryModeCd", getEntryModeCd())
            .append("entryModeDsc", getEntryModeDsc())
            .append("pushStCd", getPushStCd())
            .append("pushStDsc", getPushStDsc())
            .append("isRptHeaddept", getIsRptHeaddept())
            .append("rptRejectCaus", getRptRejectCaus())
            .append("dataTypCd", getDataTypCd())
            .append("dataTypDsc", getDataTypDsc())
            .append("isErrorCd", getIsErrorCd())
            .append("isErrorDsc", getIsErrorDsc())
            .append("dataSrcCd", getDataSrcCd())
            .append("dataSrcDsc", getDataSrcDsc())
            .append("isEdit", getIsEdit())
            .append("isCmpl", getIsCmpl())
            .append("isAffirm", getIsAffirm())
            .append("isNeglect", getIsNeglect())
            .append("isEndData", getIsEndData())
            .append("endEventTypCd", getEndEventTypCd())
            .append("endEventTypDsc", getEndEventTypDsc())
            .append("eventSpecHandlFlg", getEventSpecHandlFlg())
            .append("isSplitEvent", getIsSplitEvent())
            .append("eventDemotionCd", getEventDemotionCd())
            .append("eventDemotionDsc", getEventDemotionDsc())
            .append("thirdStageEventId", getThirdStageEventId())
            .append("dataVer", getDataVer())
            .append("poweroffCapHour", getPoweroffCapHour())
            .append("poweroffCap", getPoweroffCap())
            .append("lineNum", getLineNum())
            .append("hourNum", getHourNum())
            .append("deficiencyKwh", getDeficiencyKwh())
            .append("householdNum", getHouseholdNum())
            .append("householdNum1", getHouseholdNum1())
            .append("hourNum1", getHourNum1())
            .append("householdNum2", getHouseholdNum2())
            .append("hourNum2", getHourNum2())
            .append("householdNum3", getHouseholdNum3())
            .append("hourNum3", getHourNum3())
            .append("householdNum4", getHouseholdNum4())
            .append("hourNum4", getHourNum4())
            .append("cityCenterPoweroffCap", getCityCenterPoweroffCap())
            .append("cityPoweroffCap", getCityPoweroffCap())
            .append("citiesTownsPoweroffCap", getCitiesTownsPoweroffCap())
            .append("cysidePoweroffCap", getCysidePoweroffCap())
            .append("reentryPoweroffCapHour", getReentryPoweroffCapHour())
            .append("reentryPoweroffCap", getReentryPoweroffCap())
            .append("reentryLineCount", getReentryLineCount())
            .append("reentryHourNum", getReentryHourNum())
            .append("reentryDeficiencyKwh", getReentryDeficiencyKwh())
            .append("reentryHouseholdNum", getReentryHouseholdNum())
            .append("totalPoweroffCapHour", getTotalPoweroffCapHour())
            .append("totalPoweroffCap", getTotalPoweroffCap())
            .append("totalLimitNum", getTotalLimitNum())
            .append("totalHourNum", getTotalHourNum())
            .append("totalDeficiencyKwh", getTotalDeficiencyKwh())
            .append("totalHouseholdNum", getTotalHouseholdNum())
            .append("stdOrgNo", getStdOrgNo())
            .append("stdOrgNm", getStdOrgNm())
            .append("stdCountyOrgNo", getStdCountyOrgNo())
            .append("stdCountyOrgNm", getStdCountyOrgNm())
            .append("stdCityOrgNm", getStdCityOrgNm())
            .append("dataDt", getDataDt())
            .append("etlTm", getEtlTm())
            .append("judgingCausCd", getJudgingCausCd())
            .append("judgingCausDsc", getJudgingCausDsc())
            .append("eventTypCd", getEventTypCd())
            .append("eventTypDsc", getEventTypDsc())
            .append("isHaveAnalRpt", getIsHaveAnalRpt())
            .append("isPrivEvent", getIsPrivEvent())
            .append("poweroffCaus", getPoweroffCaus())
            .append("demotionId", getDemotionId())
            .append("isPssData", getIsPssData())
            .append("isFormalityData", getIsFormalityData())
            .append("dataSrc", getDataSrc())
            .append("parYear", getParYear())
            .append("stdCityOrgNo", getStdCityOrgNo())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
